export enum AreaType {
  /**
   * 省
   */
  Province = 1,
  /**
   * 市
   */
  City,
  /**
   * 区
   */
  Area,
  /**
   * 城镇
   */
  Town,
}

// 数据可见范围
export enum DataRangeEnum {
  /**
   * 全部数据
   */
  All = 100,
  /**
   * 个人数据
   */
  Person = 10,
}

export const DataRangeEnumText = {
  [DataRangeEnum.All]: '全部数据',
  [DataRangeEnum.Person]: '个人数据',
};

export enum AuthorizeType {
  Role = 1,
  User,
}

export const BooleanOptions = [
  { label: '是', value: true },
  { label: '否', value: false },
];

export enum Gender {
  /**
   * 男
   */
  Male = 1,
  /**
   * 女
   */
  Female = 2,
}

export const GenderText = {
  [Gender.Male]: '男',
  [Gender.Female]: '女',
};
